## julius-4.6.tar.gz

=== msvc/Library_PortAudio/Makefile ===

TARGET   = lib/PortAudio.a

SOURCES  = src/src/common/pa_allocation.c \
           src/src/common/pa_converters.c \
           src/src/common/pa_cpuload.c \
           src/src/common/pa_debugprint.c \
           src/src/common/pa_dither.c \
           src/src/common/pa_front.c \
           src/src/common/pa_process.c \
           src/src/common/pa_ringbuffer.c \
           src/src/common/pa_stream.c \
           src/src/common/pa_trace.c \
           src/src/hostapi/alsa/pa_linux_alsa.c \
           src/src/hostapi/oss/pa_unix_oss.c \
           src/src/hostapi/oss/recplay.c \
           src/src/os/unix/pa_unix_hostapis.c \
           src/src/os/unix/pa_unix_util.c

OBJECTS  = $(SOURCES:.c=.o)

CXX      = gcc
AR       = ar
CXXFLAGS = -Wall -O3 -fomit-frame-pointer -fPIC \
           -pthread \
           -DHAVE_LINUX_SOUNDCARD_H=1 \
           -DPA_USE_ALSA=1 \
           -DPA_USE_OSS=1
INCLUDE  = -I src/include \
           -I src/src/common \
           -I src/src/hostapi/alsa \
           -I src/src/hostapi/oss \
           -I src/src/os/unix

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(AR) cru $(TARGET) $(OBJECTS)
	cp src/include/*.h include

.c.o:
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $(<:.c=.o) -c $<

clean:
	rm -f $(OBJECTS) $(TARGET)

=== msvc/Library_zlib/Makefile ===

TARGET   = lib/zlib.a

SOURCES  = src/adler32.c \
           src/compress.c \
           src/crc32.c \
           src/contrib/minizip/ioapi.c \
           src/contrib/minizip/unzip.c \
           src/deflate.c \
           src/gzclose.c \
           src/gzlib.c \
           src/gzread.c \
           src/gzwrite.c \
           src/infback.c \
           src/inffast.c \
           src/inflate.c \
           src/inftrees.c \
           src/trees.c \
           src/uncompr.c \
           src/zutil.c

OBJECTS  = $(SOURCES:.c=.o)

CXX      = gcc
AR       = ar
CXXFLAGS = -Wall -O3 -fomit-frame-pointer -fPIC \
           -D_LARGEFILE64_SOURCE=1 \
           -DNO_VIZ
INCLUDE  = -I src

all: $(TARGET)

$(TARGET): $(OBJECTS)
	$(AR) cru $(TARGET) $(OBJECTS)
	cp src/*.h include
	cp src/contrib/minizip/*.h include

.c.o:
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $(<:.c=.o) -c $<

clean:
	rm -f $(OBJECTS) $(TARGET)

=== libjulius/libfvad/libfvad/debian/changelog ===
libfvad (0.0-0) UNRELEASED; urgency=low

  * Stub release

 -- s3rj1k <evasive.gyron@gmail.com>  Thu, 26 Jul 2018 12:50:00 +0200

=== libjulius/libfvad/libfvad/debian/control ===
Source: libfvad
Section: libdevel
Priority: optional
Maintainer: s3rj1k <evasive.gyron@gmail.com>
Build-Depends: debhelper (>= 9), autotools-dev, libtool
Standards-Version: 3.9.6

Package: libfvad-dev
Architecture: any
Depends: ${shlibs:Depends}
Description: provides voice activity detection (VAD) library.
 This package contains fork of the VAD engine that is part 
 of the WebRTC Native Code package, for use as a standalone 
 library independent from the rest of the WebRTC code.

=== libjulius/libfvad/libfvad/debian/rules ===
#!/usr/bin/make -f

DATE=$(shell date +%Y%m%d)
DISTRIBUTION=$(shell lsb_release -sc)
PACKAGEVERSION=$(DATE)~$(DISTRIBUTION)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_test:
override_dh_gencontrol:
	dh_gencontrol -- -v$(PACKAGEVERSION)
